io.vertx.rxjava.ext.shell.term

## Class Term

- java.lang.Object
- - io.vertx.rxjava.ext.shell.term.Tty
  - - io.vertx.rxjava.ext.shell.term.Term

-     public class Term
      extends Tty

  The terminal.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Term(Term delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the connection to terminal.
    `Term` | `closeHandler(Handler<Void> handler)` Set a handler that will be called when the terminal is closed.
    `Term` | `echo(String text)` Echo some text in the terminal, escaped if necessary.
    `Object` | `getDelegate()`
    `Term` | `interruptHandler(SignalHandler handler)` Set an interrupt signal handler on the term.
    `long` | `lastAccessedTime()`
    `static Term` | `newInstance(Term arg)`
    `void` | `readline(String prompt, Handler<String> lineHandler)` Prompt the user a line of text.
    `void` | `readline(String prompt, Handler<String> lineHandler, Handler<Completion> completionHandler)` Prompt the user a line of text, providing a completion handler to handle user's completion.
    `Term` | `resizehandler(Handler<Void> handler)` Set a resize handler, the handler is called when the tty size changes.
    `Term` | `setSession(Session session)` Associate the term with a session.
    `Term` | `stdinHandler(Handler<String> handler)` Set a stream handler on the standard input to read the data.
    `Term` | `suspendHandler(SignalHandler handler)` Set a suspend signal handler on the term.
    `Term` | `write(String data)` Write data to the standard output.

    - ### Methods inherited from class io.vertx.rxjava.ext.shell.term.Tty

      `height, newInstance, type, width`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Term

          public Term(Term delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `Tty`

    - #### resizehandler

          public Term resizehandler(Handler<Void> handler)

      Description copied from class: `Tty`
      Set a resize handler, the handler is called when the tty size changes.
      Overrides:
        `resizehandler` in class `Tty`
      Parameters:
        `handler` - the resize handler
      Returns:
        this object

    - #### stdinHandler

          public Term stdinHandler(Handler<String> handler)

      Description copied from class: `Tty`
      Set a stream handler on the standard input to read the data.
      Overrides:
        `stdinHandler` in class `Tty`
      Parameters:
        `handler` - the standard input
      Returns:
        this object

    - #### write

          public Term write(String data)

      Description copied from class: `Tty`
      Write data to the standard output.
      Overrides:
        `write` in class `Tty`
      Parameters:
        `data` - the data to write
      Returns:
        this object

    - #### lastAccessedTime

          public long lastAccessedTime()

      Returns:
        the last time this term received input

    - #### echo

          public Term echo(String text)

      Echo some text in the terminal, escaped if necessary.

      Parameters:
        `text` - the text to echo
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSession

          public Term setSession(Session session)

      Associate the term with a session.
      Parameters:
        `session` - the session to set
      Returns:
        a reference to this, so the API can be used fluently

    - #### interruptHandler

          public Term interruptHandler(SignalHandler handler)

      Set an interrupt signal handler on the term.
      Parameters:
        `handler` - the interrupt handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### suspendHandler

          public Term suspendHandler(SignalHandler handler)

      Set a suspend signal handler on the term.
      Parameters:
        `handler` - the suspend handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### readline

          public void readline(String prompt,
                               Handler<String> lineHandler)

      Prompt the user a line of text.
      Parameters:
        `prompt` - the displayed prompt
        `lineHandler` - the line handler called with the line

    - #### readline

          public void readline(String prompt,
                               Handler<String> lineHandler,
                               Handler<Completion> completionHandler)

      Prompt the user a line of text, providing a completion handler to handle user's completion.
      Parameters:
        `prompt` - the displayed prompt
        `lineHandler` - the line handler called with the line
        `completionHandler` - the completion handler

    - #### closeHandler

          public Term closeHandler(Handler<Void> handler)

      Set a handler that will be called when the terminal is closed.
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### close

          public void close()

      Close the connection to terminal.

    - #### newInstance

          public static Term newInstance(Term arg)

Copyright © 2016. All rights reserved.